mcrypt_enc_get_key_size
mcrypt_enc_get_supported_key_sizes
Mcrypt Functions
PHP Manual

# mcrypt_enc_get_modes_name

(PHP 4 >= 4.0.2, PHP 5)

mcrypt_enc_get_modes_name — Returns the name of the opened mode

### Description

string mcrypt_enc_get_modes_name ( resource `$td` )

This function returns the name of the mode.

### Parameters

`td`

  The encryption descriptor.

### Return Values

Returns the name as a string.

### Examples

Example #1 mcrypt_enc_get_modes_name() example

`<?php
$td = mcrypt_module_open (MCRYPT_CAST_256, '', MCRYPT_MODE_CFB, '');
echo mcrypt_enc_get_modes_name($td). "\n";
$td = mcrypt_module_open ('cast-256', '', 'ecb', '');
echo mcrypt_enc_get_modes_name($td). "\n";
?>`

The above example will output:

    CFB
    ECB

mcrypt_enc_get_key_size
mcrypt_enc_get_supported_key_sizes
Mcrypt Functions
PHP Manual